Loading...
Searching...
No Matches
casacore::RecordGramVal Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Helper class for values in RecordGram. More...

`#include <RecordGram.h>`

## Public Attributes

Int | type
String | str
Bool | bval
Int64 | ival
Double | dval [2]

## Detailed Description

Helper class for values in RecordGram.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

A record selection command is lexically analyzed via flex. An object of this class is used to hold a value (like a name or a literal) for later use in the parser code.

Definition at line 120 of file RecordGram.h.

## Member Data Documentation

## bval

Bool casacore::RecordGramVal::bval

Definition at line 125 of file RecordGram.h.

## dval

Double casacore::RecordGramVal::dval[2]

Definition at line 127 of file RecordGram.h.

## ival

Int64 casacore::RecordGramVal::ival

Definition at line 126 of file RecordGram.h.

## str

String casacore::RecordGramVal::str

Definition at line 124 of file RecordGram.h.

## type

Int casacore::RecordGramVal::type

Definition at line 123 of file RecordGram.h.

The documentation for this class was generated from the following file:

- tables/TaQL/RecordGram.h